"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var sheet_1 = require("../sheet");
var SheetFooterDirective = /** @class */ (function () {
    function SheetFooterDirective() {
    }
    SheetFooterDirective = __decorate([
        core_1.Directive({
            selector: "[sheetFooter]"
        })
    ], SheetFooterDirective);
    return SheetFooterDirective;
}());
exports.SheetFooterDirective = SheetFooterDirective;
var SheetDismissDirective = /** @class */ (function () {
    function SheetDismissDirective() {
    }
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object)
    ], SheetDismissDirective.prototype, "sheetDismiss", void 0);
    SheetDismissDirective = __decorate([
        core_1.Directive({
            selector: "[sheetDismiss]"
        })
    ], SheetDismissDirective);
    return SheetDismissDirective;
}());
exports.SheetDismissDirective = SheetDismissDirective;
var BottomSheetComponent = /** @class */ (function () {
    function BottomSheetComponent() {
    }
    BottomSheetComponent.prototype.ngAfterViewInit = function () {
        var _this = this;
        this.swipeAwaySheet = new sheet_1.SwipeAwaySheet(this.sheet.nativeElement, {
            stops: this.stops,
            onClose: function (value) { return _this.onClose(value); }
        });
        this.swipeAwaySheet.open();
    };
    BottomSheetComponent.prototype.setValue = function (value) {
        this.swipeAwaySheet.setValue(value);
    };
    BottomSheetComponent.prototype.close = function (value) {
        this.swipeAwaySheet.close(undefined, value);
    };
    __decorate([
        core_1.ViewChild("sheet"),
        __metadata("design:type", core_1.ElementRef)
    ], BottomSheetComponent.prototype, "sheet", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], BottomSheetComponent.prototype, "title", void 0);
    __decorate([
        core_1.ContentChild(SheetFooterDirective, { read: core_1.TemplateRef }),
        __metadata("design:type", core_1.TemplateRef)
    ], BottomSheetComponent.prototype, "footer", void 0);
    BottomSheetComponent = __decorate([
        core_1.Component({
            selector: "bottom-sheet",
            template: "\n    <div class=\"sheet\" #sheet>\n      <div class=\"sheet-title\" *ngIf=\"title\">{{ title }}</div>\n      <div class=\"sheet-content\">\n        <ng-content></ng-content>\n      </div>\n      <div class=\"sheet-footer\" *ngIf=\"footer\">\n        <ng-container *ngTemplateOutlet=\"footer\"></ng-container>\n      </div>\n    </div>\n  "
        })
    ], BottomSheetComponent);
    return BottomSheetComponent;
}());
exports.BottomSheetComponent = BottomSheetComponent;
//# sourceMappingURL=bottom-sheet.component.js.map